Package com.sas.lsaf.workflow.processdefinition

## Class TimerEventDefinition

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.FlowElementDefinition
  - - com.sas.lsaf.workflow.processdefinition.TimerEventDefinition

- All Implemented Interfaces:
    `IntermediateEventDefinition`, `java.io.Serializable`

      public class TimerEventDefinition
      extends FlowElementDefinition
      implements IntermediateEventDefinition

  The class that represents a timer event definition.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerEventDefinition​(java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, java.lang.String parentId, TimerEventSetup.TimerType timerType, java.io.Serializable timerValue)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `TimerEventSetup.TimerType` | `getTimerType()` | Gets the type of timer for the timer event.
    `java.io.Serializable` | `getTimerValue()` | Gets the value of the timer.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processdefinition.FlowElementDefinition

      `getDescription, getElementId, getName, getParentId, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerEventDefinition

          public TimerEventDefinition​(java.lang.String elementId,
                                      java.lang.String name,
                                      java.lang.String description,
                                      Element.ElementType type,
                                      java.lang.String parentId,
                                      TimerEventSetup.TimerType timerType,
                                      java.io.Serializable timerValue)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the timer event definitions returned by the API.
      Parameters:
        `elementId` - The identifier of the timer event element as it appears in the process flow definition.
        `name` - The name of the timer event as it appears in the process flow definition.
        `description` - The description of the timer event as it appears in the process flow definition.
        `type` - The type of the event that associates with the type in the process flow definition.
        `parentId` - The id of the flow definition that is the parent of this task.
        `timerType` - The type of timer for the timer event.
        `timerValue` - The value of the timer.

  - ### Method Detail

    - #### getTimerType

          public TimerEventSetup.TimerType getTimerType()

      Gets the type of timer for the timer event. Type can be either `Date` or `Duration`.
      Returns:
        The type.

    - #### getTimerValue

          public java.io.Serializable getTimerValue()

      Gets the value of the timer. If TimerType is `Date`, the timer value is a `Date`. If TimerType is `Duration`, the timer value is a String in ISO 8601 duration format. An example of duration is P10D, which represents 10 days.
      Returns:
        The value.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FlowElementDefinition`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `FlowElementDefinition`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `FlowElementDefinition`